summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-09-26 23:02:34 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-09-26 23:02:34 +0000
commit4b2dd7730a3b771c6509aedd34fdbdb0f699d501 (patch)
tree17b9b02aa9e1b096238d45dd47eb241bfe3c2032 /tests
parent2f897e72580eb68526972caf3ef815c5be50daba (diff)
downloadcoreutils-4b2dd7730a3b771c6509aedd34fdbdb0f699d501.tar.xz
Test "touch -" too.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/touch/empty-file11
-rwxr-xr-xtests/touch/no-create-missing3
-rwxr-xr-xtests/touch/read-only2
3 files changed, 14 insertions, 2 deletions
diff --git a/tests/touch/empty-file b/tests/touch/empty-file
index 6e478a97f..c9092b258 100755
--- a/tests/touch/empty-file
+++ b/tests/touch/empty-file
@@ -22,11 +22,13 @@ fail=0
framework_failure=0
for d in $TOUCH_DIR_LIST; do
- rm -rf $d/a $d/b
+ rm -rf $d/a $d/b $d/c
> $d/a || framework_failure=1
test -f $d/a || framework_failure=1
> $d/b || framework_failure=1
test -f $d/b || framework_failure=1
+ > $d/c || framework_failure=1
+ test -f $d/c || framework_failure=1
done
if test $framework_failure = 1; then
@@ -49,7 +51,12 @@ for d in $TOUCH_DIR_LIST; do
set x `ls -t $d/a $d/b`
test "$*" = "x $d/b $d/a" || fail=1
- rm -rf $d/a $d/b
+ if touch - 1< $d/c 2> /dev/null; then
+ set x `ls -t $d/a $d/c`
+ test "$*" = "x $d/c $d/a" || fail=1
+ fi
+
+ rm -rf $d/a $d/b $d/c
done
if test $fail != 0; then
diff --git a/tests/touch/no-create-missing b/tests/touch/no-create-missing
index d75257420..1faebc81d 100755
--- a/tests/touch/no-create-missing
+++ b/tests/touch/no-create-missing
@@ -25,5 +25,8 @@ fail=0
touch -c no-file > /dev/null 2>&1 || fail=1
touch -cm no-file > /dev/null 2>&1 || fail=1
touch -ca no-file > /dev/null 2>&1 || fail=1
+touch -c - >&- 2> /dev/null || fail=1
+touch -cm - >&- 2> /dev/null || fail=1
+touch -ca - >&- 2> /dev/null || fail=1
(exit $fail); exit $fail
diff --git a/tests/touch/read-only b/tests/touch/read-only
index 109ab00b1..11516d3c8 100755
--- a/tests/touch/read-only
+++ b/tests/touch/read-only
@@ -29,4 +29,6 @@ fail=0
touch read-only || fail=1
+touch - 1< read-only 2> /dev/null && { test ! -f - || fail=1; }
+
(exit $fail); exit $fail